#include <gforth/0.7.9_20151126/libcc.h>
#include <w32api/wtypes.h>
#include <w32api/winbase.h>
#include <w32api/imm.h>
ptrpair libgfwin32_LTX_gforth_c_GetModuleHandleW_S_a(GFORTH_ARGS)
{
  Cell MAYBE_UNUSED *sp = x.sp;
  Float MAYBE_UNUSED *fp = x.fp;
  int MAYBE_UNUSED arg0=1, farg0=-1;
  sp[1]=(Cell)GetModuleHandleW(gforth_str2wc((Char*)sp[1],sp[0]));
  x.sp = sp+1;
  return x;
}
ptrpair libgfwin32_LTX_gforth_c_GetLastError__n(GFORTH_ARGS)
{
  Cell MAYBE_UNUSED *sp = x.sp;
  Float MAYBE_UNUSED *fp = x.fp;
  int MAYBE_UNUSED arg0=-1, farg0=-1;
  sp[-1]=GetLastError();
  x.sp = sp+-1;
  return x;
}
ptrpair libgfwin32_LTX_gforth_c_ImmIsUIMessageW_annn_n(GFORTH_ARGS)
{
  Cell MAYBE_UNUSED *sp = x.sp;
  Float MAYBE_UNUSED *fp = x.fp;
  int MAYBE_UNUSED arg0=3, farg0=-1;
  sp[3]=ImmIsUIMessageW((void *)(sp[3]),sp[2],sp[1],sp[0]);
  x.sp = sp+3;
  return x;
}
ptrpair libgfwin32_LTX_gforth_c_ExtractIconW_aSn_a(GFORTH_ARGS)
{
  Cell MAYBE_UNUSED *sp = x.sp;
  Float MAYBE_UNUSED *fp = x.fp;
  int MAYBE_UNUSED arg0=3, farg0=-1;
  sp[3]=(Cell)ExtractIconW((void *)(sp[3]),gforth_str2wc((Char*)sp[2],sp[1]),sp[0]);
  x.sp = sp+3;
  return x;
}
ptrpair libgfwin32_LTX_gforth_c_ExtractIconExW_Snaan_n(GFORTH_ARGS)
{
  Cell MAYBE_UNUSED *sp = x.sp;
  Float MAYBE_UNUSED *fp = x.fp;
  int MAYBE_UNUSED arg0=5, farg0=-1;
  sp[5]=ExtractIconExW(gforth_str2wc((Char*)sp[5],sp[4]),sp[3],(void *)(sp[2]),(void *)(sp[1]),sp[0]);
  x.sp = sp+5;
  return x;
}
hash_128 gflibcc_hash_win32 = "\x14\x25\x0E\x22\x6F\xEB\xF0\xED\xE6\xBF\x60\x5B\xE3\x5A\x19\xDE";
